###############################################################################
# Copyright (c) 2014 BC Cancer Agency, NIH
# 
# License
# The software is distributed under the terms of the 
# GNU Lesser General Public License (LGPL)
# 
# Disclaimer
# This software and documentation come with no warranties of any kind.
# This software is provided "as is" and any and any express or implied 
# warranties, including, but not limited to, the implied warranties of
# merchantability and fitness for a particular purpose are disclaimed.
# In no event shall the  copyright holder be liable for any direct, 
# indirect, incidental, special, exemplary, or consequential damages
# (including but not limited to, procurement of substitute goods or 
# services; loss of use, data or profits; or business interruption)
# however caused and on any theory of liability, whether in contract,
# strict liability, or tort arising in any way out of the use of this 
# software.
# 
###############################################################################

args <- commandArgs(trailingOnly=TRUE)
libdir = ""

for(i in 1:length(args))
{
  if (nchar(args[[i]]) >= 5) {
    flag <- substring(args[[i]], 0, 4)
    arg <- substring(args[[i]], 5, nchar(args[[i]]))
    if (flag == '-li=') {
      libdir <- arg
    }
  }
}

if (libdir == '') {
  stop("Could not determine libdir; check the commanLine parameter in the module manifest file.", call.=FALSE)
} else {
  source(paste(libdir, "ApplyGatingML2.R", sep=''))
  applyGatingML2(args)
}
